aboutsummaryrefslogtreecommitdiffstats
path: root/net/mediatomb/files/pkg-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'net/mediatomb/files/pkg-install.in')
-rw-r--r--net/mediatomb/files/pkg-install.in51
1 files changed, 25 insertions, 26 deletions
diff --git a/net/mediatomb/files/pkg-install.in b/net/mediatomb/files/pkg-install.in
index 18dd5818542f..d8881c235edf 100644
--- a/net/mediatomb/files/pkg-install.in
+++ b/net/mediatomb/files/pkg-install.in
@@ -6,35 +6,34 @@ if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
-PREFIX=${PKG_PREFIX:-%%PREFIX%%}
+#PREFIX=${PKG_PREFIX:-%%PREFIX%%}
-USER=%%MEDIATOMB_USER%%
-GROUP=%%MEDIATOMB_GROUP%%
+#USER=%%MEDIATOMB_USER%%
+#GROUP=%%MEDIATOMB_GROUP%%
-PW="pw"
-INSTALL=%%INSTALL%%
-DIR=%%MEDIATOMB_DIR%%
-MASK=%%MEDIATOMB_MASK%%
+#INSTALL=%%INSTALL%%
+#DIR=%%MEDIATOMB_DIR%%
+#MASK=%%MEDIATOMB_MASK%%
-if ! ${PW} groupshow "${GROUP}" 2>/dev/null 1>&2; then
- if ${PW} groupadd ${GROUP}; then
- echo "Added group \"${GROUP}\"."
- else
- echo "Adding group \"${GROUP}\" failed..."
- exit 1
- fi
-fi
+#if ! ${PW} groupshow "${GROUP}" 2>/dev/null 1>&2; then
+# if ${PW} groupadd ${GROUP}; then
+# echo "Added group \"${GROUP}\"."
+# else
+# echo "Adding group \"${GROUP}\" failed..."
+# exit 1
+# fi
+#fi
-if ! ${PW} usershow "${USER}" 2>/dev/null 1>&2; then
- if ${PW} useradd ${USER} -g ${GROUP} -h - \
- -s "/sbin/nologin" -d "/nonexistent" \
- -c "MediaTomb"; \
- then
- echo "Added user \"${USER}\"."
- else
- echo "Adding user \"${USER}\" failed..."
- exit 1
- fi
-fi
+#if ! ${PW} usershow "${USER}" 2>/dev/null 1>&2; then
+# if ${PW} useradd ${USER} -g ${GROUP} -h - \
+# -s "/sbin/nologin" -d "/nonexistent" \
+# -c "MediaTomb"; \
+# then
+# echo "Added user \"${USER}\"."
+# else
+# echo "Adding user \"${USER}\" failed..."
+# exit 1
+# fi
+#fi
exit 0